server {
  server_name _;
  access_log /var/log/nginx/access.log analytics;

  include snippets/acme.conf;

  listen 80 default_server;
  listen 443 ssl http2 default_server;

  add_header Cache-Control no-cache;
  add_header Strict-Transport-Security "max-age=31536000; includeSubDomains; preload";
  add_header X-Frame-Options "sameorigin";
  add_header X-XSS-Protection "1; mode=block";
  add_header X-Content-Type-Options "nosniff";
  add_header Referrer-Policy "strict-origin-when-cross-origin";
  add_header Access-Control-Allow-Origin "*";
  add_header Content-Security-Policy-Report-Only "default-src 'self'; media-src 'self' https://panel.sutty.nl; style-src 'self' 'unsafe-inline'; script-src https: 'self'; font-src data: 'self'; img-src https: 'self'; object-src 'none'; connect-src 'self' https://*.sutty.nl; report-uri https://api.{{ sutty }}/v1/csp_reports.json";
  add_header Permissions-Policy "interest-cohort=()";

  ssl_certificate /etc/letsencrypt/live/$ssl_server_name/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/$ssl_server_name/privkey.pem;
  ssl_session_timeout 1d;
  ssl_session_cache shared:SSL:10m;
  ssl_session_tickets off;
  ssl_protocols TLSv1 TLSv1.1 TLSv1.2 TLSv1.3;
  ssl_early_data on;

  if ($redirect_to_https) {
    return 301 https://$http_host$request_uri;
  }

  brotli_static on;
  gzip_static on;

  # Load site from the deployment directory
  root {{ directories.deploy }}/$ssl_server_name;

  # When 404, redirect to the 404.html page on the website
  error_page 404 =404 @404;

  # If it doesn't exist, redirect to Sutty's 404
  location @404 {
    try_files /default/404.html @404_site_not_found;
  }

  # The site doesn't exist!
  location @404_site_not_found {
    root {{ directories.deploy }}/{{ sutty }}/default;
    try_files /404_site_not_found.html =404;
  }

  # For migration purposes, we check if the full uri is a file, in case
  # the previous site didn't use pretty URLs, if not, try some other
  # routes or start searching for the correct 404.html
  #
  # The default type is HTML since nginx detects content type by
  # extension
  default_type "text/html";

  # Allow certain URLs to be embedded in other sites.
  location /sandboxed/ {
    add_header X-Frame-Options "";
    try_files $request_uri $uri $uri/ =404;
  }

  location / {
    try_files $request_uri $uri $uri/ =404;
  }
}
